'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

function _interopDefault (ex) { return (ex && (typeof ex === 'object') && 'default' in ex) ? ex['default'] : ex; }

var axios = _interopDefault(require('axios'));

class YifyService {
    constructor(baseUrl) {
        this.baseUrl = baseUrl;
    }
    async getMovies(params) {
        const { data } = await axios
            .get(`${this.baseUrl || 'https://yts.lt/api/v2/'}list_movies.json`, {
            params,
        })
            .catch(e => {
            throw new Error(e);
        });
        return data;
    }
    async getMovie(params) {
        const { data } = await axios
            .get(`${this.baseUrl || 'https://yts.lt/api/v2/'}movie_details.json`, {
            params,
        })
            .catch(e => {
            throw new Error(e);
        });
        return data;
    }
    async getSuggestions(params) {
        const { data } = await axios
            .get(`${this.baseUrl || 'https://yts.lt/api/v2/'}movie_suggestions.json`, { params })
            .catch(e => {
            throw new Error(e);
        });
        return data;
    }
}

exports.YifyService = YifyService;
